/**
 * Card (component)
 * Library card used in
 * - node--article--teaser.html.twig
 * - node--events--teaser.html.twig
 * - paragraph--card.html.twig
 */


/**
 * Global style
 */

.card {
  display: flex;
  flex-direction: column;
  border-radius: 3px;
  overflow: hidden;
  max-width: 450px;
}
.card--large {
  max-width: 448px;
  height: 100%;
}
.card--large .card__content p {
  margin: 0;
}
.card__content {
    padding: 1.5rem;
    display: flex;
    flex-direction: column;
    background-color: var(--color-primary--6);
    flex: 1;
}
.card--large .card__content {
  gap: 1rem;
}
.card--dark .card__content {
    background-color: var(--color-secondary--6);
}
.card__date {
    color: var(--color-primary--1);
    font-family: 'Merriweather';
    font-weight: 400;
    font-size: 1rem;
    display: flex;
    gap: 0.5rem;
    align-items: center;
}
.card__date::before {
    content: '';
    display: block;
    background-image: url('/themes/custom/editionsprivat/images/icons/card-date-before.svg');
    background-repeat: no-repeat;
    background-position: center;
    width: 12px;
    height: 2px;
}
.card--dark .card__date::before {
    background-image: url('/themes/custom/editionsprivat/images/icons/card--dark-date-before.svg');
}
.card:not(.card--large) .card__title {
    margin-bottom: 1rem;
}
.card__title p,
.card__title span {
    color: var(--color-primary--1);
    font-family: 'Raleway';
    font-weight: 800;
    font-size: 1.5rem;
}
.card__text,
.card__description p {
    margin: 0;
    color: var(--color-primary--2);
    font-family: 'Merriweather';
    font-weight: 400;
    font-size: 1rem;
}
.card .card__cta {
  text-align: right;
}
.card .card__cta a {
  font-family: 'Raleway', sans serif;
  color: var(--color-primary--1);
  font-weight: 600;
}
.card .card__cta::before {
  content: '> ';
  font-weight: 600;
  color: var(--color-primary--3);
}
.card .card__cta a:hover {
  text-decoration: underline;
}

.card__file a {
  font-family: 'Raleway', sans-serif;
  color: var(--color-primary--1);
}
.card__file::before {
  font-family: 'Raleway', sans-serif;
  content: '>';
  display: inline-block;
  text-decoration: none;
  color: var(--color-secondary--2);
  font-weight: 800;
}
.card__file a:hover {
  text-decoration: underline;
}
.card__file span {
  font-family: 'Merriweather', sans-serif;
  display: inline-block;
  text-decoration: none;
  font-weight: 400;
}
.card__file {
  margin-top: 1rem;
}



@media all and (min-width: 750px){
  .card {
    max-width: 328px;
  }
  .card--large {
    max-width: 448px;
    height: 100%;
  }
}


/**
 * Compact display of cards
 */

.card--compact .card__content {
  background-color: var(--color-primary--6);
}
.card--compact .card__type {
  color: var(--color-primary--1);
  font-family: 'Raleway';
  font-weight: 600;
  font-size: 1rem;
  margin-bottom: 1rem;
}
.card--compact .card__cta {
  margin-top: 1rem;
}
.card--compact .card__date {
  color: var(--color-primary--1);
  font-family: 'Raleway';
  font-weight: 300;
  font-size: 1rem;
  margin-bottom: 1rem;
}
.card--compact .card__date::before {
  content: none;
}
.card--compact .card__title {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
}
.card--compact .card__icon {
  flex-basis: 20%;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: flex-end;
}
.card--compact .card__icon span {
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 24px;
  height: 24px;
  display: block;
}
.card--compact .card__icon--events span {
  background-image: url("../../images/icons/events--compact.svg");
}
.card--compact .card__icon--press-release span {
  background-image: url("../../images/icons/press-release--compact.svg");
}
